unit frm_Main;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, MMSystem;

type
  TFormMain = class(TForm)
    BTest: TButton;
    LUserID: TLabel;
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure FormCreate(Sender: TObject);
    procedure BTestClick(Sender: TObject);
  private
    { Private declarations }
    Timer: TTimer;
    procedure TimerProc(Sender: TObject);
  public
    { Public declarations }
    procedure Alarm(UserID: Integer);
  protected
    procedure CreateParams(var Params: TCreateParams); override;
  end;

var
  FormMain: TFormMain;

implementation

uses frm_PreMain;

{$R *.dfm}

procedure TFormMain.CreateParams(var Params: TCreateParams);
begin
  inherited CreateParams(Params);
  Params.ExStyle := Params.ExStyle or WS_EX_APPWINDOW;
end;

procedure TFormMain.FormClose(Sender: TObject;
  var Action: TCloseAction);
begin
  FormPreMain.Close;
end;

procedure TFormMain.FormCreate(Sender: TObject);
begin
  Self.Show;
end;

procedure TFormMain.Alarm(UserID: Integer); //  Application.Active    
begin
//----------------------------   ---------------------------
  if ((Self.Active) and (LUserID.Caption = IntToStr(UserID))) then
  begin
    sndPlaySound('sound.wav', SND_ASYNC);
  end;
//----------------------- ,   ----------------------
  if ((Self.Active) and not (LUserID.Caption = IntToStr(UserID))) then
  begin
    //
  end;
//--------------------------    --------------------------
  if not ((Self.Active) and (LUserID.Caption = IntToStr(UserID))) then
  begin
    //  
    //sndPlaySound('sound.wav', SND_ASYNC);
  end;
end;

procedure TFormMain.BTestClick(Sender: TObject);
begin
  //  ,     
  Timer := TTimer.Create(nil);
  Timer.Interval := 3000;
  Timer.OnTimer := TimerProc;
  Timer.Enabled := True;
end;

procedure TFormMain.TimerProc(Sender: TObject);
begin
  FreeAndNil(Timer);
  Alarm(1);
end;

end.
